Bug 229432 - scsi_id is sensitive to tab characters in /etc/scsi_id.config file
Summary: scsi_id is sensitive to tab characters in /etc/scsi_id.config file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 00:36 UTC by Brendan Bouffler
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0784
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:05:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config file that causes scsi_id to exhibit the problem (1.70 KB, text/plain)
2007-02-21 00:36 UTC, Brendan Bouffler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0784 normal SHIPPED_LIVE udev bug fix update 2007-11-14 17:14:24 UTC

Description Brendan Bouffler 2007-02-21 00:36:04 UTC
Description of problem:

The scsi_id program (used by udev frequently) spits out error messages when it
parses tab characters in the /etc/scsi_id.config file, that appear to be in
legal locations.

The correct output still appears on stdout, so programs like udev are able to
still use it. It just means that spurious error messages appear at boot time,
which confuses some folks.

Version-Release number of selected component (if applicable):

# rpm -q udev
udev-039-10.15.EL4

How reproducible:

Will attach a sample /etc/scsi_id.config file.

# scsi_id -s /block/sda
-g              : invalid option -- 
Unknown or bad option '?' (0x3f)
3600508b400104bdf00012000001f0000
# perl -pi -e 's/\t/  /g' /etc/scsi_id.config
# scsi_id -s /block/sda
3600508b400104bdf00012000001f0000

Actual results:


Expected results:


Additional info:

Comment 1 Brendan Bouffler 2007-02-21 00:36:04 UTC
Created attachment 148460 [details]
config file that causes scsi_id to exhibit the problem

Comment 2 Kay Sievers 2007-02-25 21:29:08 UTC
This seems to fix it: scsi_id.c::get_file_options():
  -  (*newargv)[c] = strsep(&buffer, " ");
  +  (*newargv)[c] = strsep(&buffer, " \t");

I've applied this to the upstream version. Thanks!

Comment 3 RHEL Product and Program Management 2007-05-09 07:25:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Harald Hoyer 2007-07-18 10:25:38 UTC
Please test:
http://people.redhat.com/harald/downloads/udev/udev-039-10.18.el4

Comment 9 Chris Ward 2007-09-10 15:08:00 UTC
Ping. QE Here. 

229432: Not Yet PartnerVerified. I've manually Verified that strsep patch
included in new pkgs.

Any updates? Please let me know ASAP.

Comment 11 errata-xmlrpc 2007-11-15 16:05:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0784.html



Note You need to log in before you can comment on or make changes to this bug.